#
# Conditional build:
%bcond_without	static_libs	# don't build static libraries
#
Summary:	A library for Microsoft compression formats
Summary(pl.UTF-8):	Biblioteka do formatów kompresji używanych przez Microsoft
Name:		libmspack
Version:	0.10.1alpha
Release:	1
License:	LGPL v2.1
Group:		Libraries
Source0:	https://www.cabextract.org.uk/libmspack/%{name}-%{version}.tar.gz
# Source0-md5:	12b96d707f25ea6e89b2b32cbad30940
Patch0:		%{name}-deps.patch
Patch1:		%{name}-headers.patch
Patch2:		%{name}-progs.patch
URL:		https://www.cabextract.org.uk/libmspack/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.11
BuildRequires:	gcc >= 5:3.0
BuildRequires:	libtool >= 2:2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%undefine	__cxx

%description
The purpose of libmspack is to provide compressors and decompressors,
archivers and dearchivers for Microsoft compression formats: CAB, CHM,
HLP, KWAJ, LIT, SZDD and WIM. It is also designed to be easily
embeddable, stable, robust and resource-efficient.

%description -l pl.UTF-8
Celem libmspack jest dostarczenie kompresorów i dekompresorów,
archiwizerów i dearchiwizerów dla formatów kompresji używanych przez
Microsoft: CAB, CHM, HLP, KWAJ, LIT, SZDD i WIM. Ponadto biblioteka
została zaprojektowana tak, by być łatwo osadzalna, stabilna, mocna i
wydajna pod względem zasobów.

%package devel
Summary:	Header files for libmspack library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libmspack
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libmspack library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libmspack.

%package static
Summary:	Static libmspack library
Summary(pl.UTF-8):	Statyczna biblioteka libmspack
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libmspack library.

%description static -l pl.UTF-8
Statyczna biblioteka libmspack.

%package progs
Summary:	MS expand-compatible, .cab and .chm decompressors
Summary(pl.UTF-8):	Dekompresory do plików .cab, .chm i zgodnych z MS expand
Group:		Applications/Archiving
Requires:	%{name} = %{version}-%{release}

%description progs
Microsoft expand.exe-compatible, .cab and .chm file decompressors.

%description progs -l pl.UTF-8
Programy dekompresujące pliki .cab, .chm i zgodne z expand.exe
Microsoftu.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%attr(755,root,root) %{_libdir}/libmspack.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmspack.so.0

%files devel
%defattr(644,root,root,755)
%doc doc/*.html
%attr(755,root,root) %{_libdir}/libmspack.so
%{_libdir}/libmspack.la
%{_includedir}/mspack.h
# private headers, used by cabextract (see headers patch)
%{_includedir}/libmspack
%{_pkgconfigdir}/libmspack.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libmspack.a
%endif

%files progs
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/cabrip
%attr(755,root,root) %{_bindir}/chmextract
%attr(755,root,root) %{_bindir}/msexpand
%attr(755,root,root) %{_bindir}/oabextract
%changelog
* Wed Mar 06 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libmspack.git;a=log;h=master

* Wed Mar 06 2019 Adam Gołębiowski <adamg@pld-linux.org> 8a6f04a
- updated to 0.10.1alpha

* Sat Dec 29 2018 Jakub Bogusz <qboosh@pld-linux.org> 1a2499b
- updated to 0.9.1alpha
- updated deps,headers patches
- added progs patch (still install 4 useful utilities, even though they are not production ready)

* Fri Oct 26 2018 Jakub Bogusz <qboosh@pld-linux.org> 0c6b01b
- don't break compatibility; package public header in includedir, private headers in pkgincludedir
- release 5

* Fri Oct 26 2018 Adam Gołębiowski <adamg@pld-linux.org> 2fbeb38
- release 4

* Fri Oct 26 2018 Adam Gołębiowski <adamg@pld-linux.org> 28575dc
- include all header files

* Fri Oct 26 2018 Adam Gołębiowski <adamg@pld-linux.org> a6f388b
- release 3, package all header files

* Fri Oct 26 2018 Adam Gołębiowski <adamg@pld-linux.org> abc2a30
- package system.h (needed by cabextract),
- put header files under separate dir,
- release 2

* Tue Oct 23 2018 Adam Gołębiowski <adamg@pld-linux.org> e59ebaf
- updated to 0.8alpha, solves CVE-2018-18584

* Fri Oct 12 2018 Jakub Bogusz <qboosh@pld-linux.org> b2f7b0e
- added deps patch (fix inter-library dependencies); release 2

* Fri Oct 12 2018 Jakub Bogusz <qboosh@pld-linux.org> 8eb5433
- updated to 0.7.1alpha

* Sat Jul 28 2018 Jan Rękorajski <baggins@pld-linux.org> d1649ba
- binaries to -progs subpackage
- rel 2

* Sun Jul 22 2018 Jakub Bogusz <qboosh@pld-linux.org> 4a8a666
- updated to 0.6alpha (fixes CVE-2017-6419 CVE-2017-11423)

* Wed Feb 25 2015 Elan Ruusamäe <glen@delfi.ee> 4df33df
- x32 rebuild
- release 2 (by relup.sh)

* Fri Jan 30 2015 Jakub Bogusz <qboosh@pld-linux.org> 69727c6
- updated to 0.5alpha

* Mon Jun 17 2013 Lukasz Glebicki <blekot@pld-linux.org> c352996
- up to 0.4alpha

* Wed May 25 2011 Jakub Bogusz <qboosh@pld-linux.org> b650023
- updated to 0.3

* Sun Aug 15 2010 Jakub Bogusz <qboosh@pld-linux.org> 41db465
- LGPL version

* Sat Aug 14 2010 zbyniu <zbyniu@pld-linux.org> 0d709c3
- added ghost so.0 and .pc

* Sat Aug 14 2010 zbyniu <zbyniu@pld-linux.org> 8ae3529
- up to 0.2alpha

* Tue Mar 09 2010 Krzysztof Krakowiak <evil@pld-linux.org> 1a12cc4
- url changed from http://www.kyz.uklinux.net/ to http://www.cabextract.org.uk/

